﻿@model IEnumerable<Project_Prn211_4.Models.Review>
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Feedback</title>
    <style>
        /* Các lớp CSS tùy chỉnh để cải thiện giao diện */
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        th, td {
            padding: 10px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }

        th {
            background-color: #f5f5f5;
        }

        a {
            text-decoration: none;
            color: #007bff;
        }
    </style>
</head>
<body>
    <p>
        <a class="btn btn-primary" asp-controller="Home" asp-action="CreateFeedback" asp-route-productId="@ViewBag.ProductId">Take feedback</a>
        @if(@ViewBag.UserId == 1){
            <a class="btn btn-primary" asp-controller="Home" asp-action="IndexAdmin" asp-route-productId="@ViewBag.ProductId">Home</a>
        }else{
            <a class="btn btn-primary" asp-controller="Home" asp-action="Index" asp-route-productId="@ViewBag.ProductId">Home</a>
        }
        
    </p>
    <table>
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.Rating)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Comment)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Product)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.User)
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Rating)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Comment)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Product.ProductName)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.User.RealName)
                    </td>
                </tr>
            }
        </tbody>
    </table>
</body>
</html>
